/* slashdot.org-like theme.
 *
 * Copyright (C) 1999, 2000 The SourceForge Crew
 * Copyright (C) 2000-2006 Mathieu Roy <yeupou--gnu.org>
 * Copyright (C) 2014, 2016, 2017 Assaf Gordon
 * Copyright (C) 2001-2011, 2013, 2017 Sylvain Beucler
 * Copyright (C) 2013, 2014, 2017-2025 Ineiev
 *
 * This file is part of Savane.
 *
 * Code written before 2008-03-30 (commit 8b757b2565ff) is distributed
 * under the terms of the GNU General Public license version 3 or (at your
 * option) any later version; further contributions are covered by
 * the GNU Affero General Public license version 3 or (at your option)
 * any later version.  The license notices for the AGPL and the GPL follow.
 *
 * Savane is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Savane is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Savane is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Savane is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 *    This theme was inspired by the design of the original
 *    http://slashdot.org website.  */

/* GUIDELINES VERSION FOLLOWED: 1.18 */

@import "internal/base.css";

/* Very basic (mostly text) items: */

body {
  margin-top: 1%;
  margin-left: 1%;
  margin-right: 1%;
  margin-bottom: 1%;
  background: black;
  font-family: arial,helvetica;
  color: white;
}

a { text-decoration: none; color: #006666;}
a:hover { text-decoration: underline; color: #009391; }
a:active { color: #00618e; }

.error { font-weight: bold; color: #980000; }
.warn { font-weight: bold; color: #ff7272; }

.footer {
  font-size: x-small;
  color: #b5b5b5l;
}

h1 { }
h2 {
  border-top: thin solid #006666;
  border-bottom: thin solid #006666;
  color: #006666
}
h4 {
  border-top: thin solid #006666;
  border-bottom: thin solid #006666;
  color: #006666
}

.highlight {
  background-color: #ffe2e6;
}


/**********************************************************************
 *
 * Alignment, main tables
 *
 **********************************************************************/


.realbody {
  background-color: white;
  width: 99%;
  border-spacing: 0;
  border: 0;
  color: black;
}

.main {
  background-color: white;
  vertical-align: top;
  border-spacing: 0;
  border: 0;
  color: black;
}

/**********************************************************************
 *
 * Menus
 *
 **********************************************************************/

.menu {
  background: white;
  vertical-align: top;
  border-spacing: 0;
  border: 0;
  font-size: small;
  color: black;
}

.menutitle {
  background-color: #cccccc;
  vertical-align: top;
  font-weight: bold;
  text-align: left;
}
.menuitem {
  vertical-align: top;
  text-align: right;
}

.menusearch {
  font-size: xx-small;
}

.menuitem a:hover {
  background-color: #eaeaea;
  text-decoration: none;
  color: #000000;
}

.topmenutitle {
  font-weight: bold;
}

ul.topmenuitemsubmenu {
  background: white;
}


li.topmenuitemsubmenu:hover {
  	background-color: #eaeaea;
	text-decoration: none;
	color: black;
	border-left: 0.4em solid black;
}

li.topmenuitemsubmenu a:hover {
  	background-color: #eaeaea;
	text-decoration: none;
	color: black;
}

.tabs {
  color: #006d68;
}

.tabs:hover {
  background-color: #eaeaea;
  text-decoration: none;
  color: #006d68;
}

.tabselect {
  background-color: #cccccc;
  color: #000000;
}

.tabselect:hover {
  background-color: #eaeaea;
  text-decoration: none;
  color: #000000;
}


/**********************************************************************
 *
 * Boxes
 *
 **********************************************************************/

.box {
  color: #000000;
}

.boxleft {
  color: #000000;
}


.boxtitle {
  background: #006666;
  font-weight: bold;
  text-align: center;
  color: #ffffff;
}

.boxtitle a { color: #ffffff; }

.boxitem {
  text-align: left;
}

.boxitemalt {
  background-color: #E5FFF9;
  text-align: left;
}

.boxhighlight {
  background-color: #ffe2e6;
  text-align: left;
}

.boxoptions {
  background-color: #e2f9ff;
  text-align: left;
}

/* Forms */
button,input
{
  background-color: #ffffff;
  border: thin solid #006666;
  color: #006666
}

button:hover,input:hover
{
  color: #009391;
}

select {
  background-color: #ffffff;
  border: thin solid #006666;
  color: #006666
}

select:hover {
  color: #009391;
}

textarea {
  background-color: #ffffff;
  border: thin solid #006666;
  color: #006666
}

textarea:hover {
  color: #009391;
}

.preinput {
  color: #006666
}

/* Priorities */
.prioraclosed { background-color: #d8ffeb; border-top: 0; border-left: 0; }
.priorbclosed  { background-color: #cbffe4; border-top: 0; border-left: 0; }
.priorcclosed  { background-color: #bcffdc; border-top: 0; border-left: 0; }
.priordclosed  { background-color: #adffd4; border-top: 0; border-left: 0; }
.prioreclosed  { background-color: #a3ffcf; border-top: 0; border-left: 0; }
.priorfclosed  { background-color: #93ffc7; border-top: 0; border-left: 0; }
.priorgclosed  { background-color: #87ffc1; border-top: 0; border-left: 0; }
.priorhclosed  { background-color: #77ffb9; border-top: 0; border-left: 0; }
.prioriclosed  { background-color: #6bffb2; border-top: 0; border-left: 0; }

.priora { border-top: 0; border-left: 0; }
.priorb  { border-top: 0; border-left: 0; }
.priorc  { border-top: 0; border-left: 0; }
.priord  { border-top: 0; border-left: 0; }
.priore  { border-top: 0; border-left: 0; }
.priorf  { border-top: 0; border-left: 0; }
.priorg  { border-top: 0; border-left: 0; }
.priorh  { border-top: 0; border-left: 0; }
.priori  { border-top: 0; border-left: 0; }
